[ 
https://issues.apache.org/jira/browse/CXF-6743?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
 ]

Colm O hEigeartaigh closed CXF-6743.
------------------------------------

> Inconsistent versions of jax-rs specs can lead to OSGi pain
> -----------------------------------------------------------
>
>                 Key: CXF-6743
>                 URL: https://issues.apache.org/jira/browse/CXF-6743
>             Project: CXF
>          Issue Type: Bug
>    Affects Versions: 3.1.4
>            Reporter: Benson Margulies
>            Assignee: Sergey Beryozkin
>             Fix For: 3.1.6, 3.2.0
>
>
> CXF's dependency tree calls for:
> {code}
>  <dependency>
>                 <groupId>javax.ws.rs</groupId>
>                 <artifactId>javax.ws.rs-api</artifactId>      
>                 <version>2.0.1</version>      
>              </dependency>
> {code}
> However, the Karaf features asks for a servicemix bundle that only provides 
> version 2.0 of the spec, and indeed, there's no SM bundle for 2.0.1. So, an 
> OSGi bundle built with CXF will be prone to try to import 2.0.1 of the 
> package in this jar, and then fail to be able to wire it.
> If CXF really needs 2.0.1, then we need an SM bundle for 2.0.1 (and the CXF 
> feature should reference it).
> I'll link the SM jira.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Reply via email to